%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             jboss-common-beans
Version:          1.1.0
Release:          6%{dist}
Summary:          JBoss Common Beans
License:          LGPLv2 and ASL 2.0
Url:              http://www.jboss.org
Source0:          https://github.com/jboss/jboss-common-beans/archive/%{namedversion}.tar.gz

BuildRequires:    maven-local
BuildRequires:    mvn(junit:junit)
#BuildRequires:    mvn(org.apache.maven.plugins:maven-checkstyle-plugin)
BuildRequires:    mvn(org.apache.maven.plugins:maven-enforcer-plugin)
#BuildRequires:    mvn(org.apache.maven.plugins:maven-failsafe-plugin)
BuildRequires:    mvn(org.codehaus.mojo:buildnumber-maven-plugin)
BuildRequires:    mvn(org.jboss:jboss-parent:pom:)

BuildArch:        noarch

%description
JBoss Property Editors library. Contains set of Property Editors for commonly
used java types, as well as alternative version of Property Editors provided by
JDK. It also contains simple utility classes which ease tasks related to
property edition.

%package javadoc
Summary:          Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n jboss-common-beans-%{namedversion}

%pom_xpath_remove "pom:build/pom:extensions"
# The forked VM terminated without saying properly goodbye. VM crash or System.exit called ?
%pom_remove_plugin :maven-failsafe-plugin

# maven-checkstyle-plugin:2.12:checkstyle (check-style) on project jboss-common-beans:
# An error has occurred in Checkstyle report generation. Failed during checkstyle configuration:
# cannot initialize module TreeWalker - Unable to instantiate RedundantThrows:
# Unable to instantiate RedundantThrowsCheck -> [Help 1]
%pom_remove_plugin :maven-checkstyle-plugin

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt

%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Aug 08 2015 gil cattaneo <puntogil@libero.it> 1.1.0-5
- fix FTBFS rhbz#1239587
- fix BR list and use BR mvn()-like
- remove duplicate files
- introduce license macro
- fix some rpmlint problem

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Jul 04 2013 Marek Goldmann <mgoldman@redhat.com> - 1.1.0-1
- Initial import


